package com.ruoyi.basicData.domain;

import com.baomidou.mybatisplus.annotation.TableLogic;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;

/**
 * 公司名称对象 t_company
 *
 * @author ruoyi
 * @date 2020-12-11
 */
public class TCompany extends BaseEntity {
    private static final long serialVersionUID = 1L;

    /**
     * $column.columnComment
     */
    private Long fId;

    /**
     * 公司编号
     */
    @Excel(name = "公司编号")
    private String fNo;

    /**
     * 公司名称
     */
    @Excel(name = "公司名称")
    private String fName;

    /**
     * 状态
     */
    @Excel(name = "状态")
    private String fStatus;

    /**
     * 删除状态
     */
    @TableLogic
    private String delFlag;

    public void setfId(Long fId) {
        this.fId = fId;
    }

    public Long getfId() {
        return fId;
    }

    public void setfNo(String fNo) {
        this.fNo = fNo;
    }

    public String getfNo() {
        return fNo;
    }

    public void setfName(String fName) {
        this.fName = fName;
    }

    public String getfName() {
        return fName;
    }

    public void setfStatus(String fStatus) {
        this.fStatus = fStatus;
    }

    public String getfStatus() {
        return fStatus;
    }

    public void setDelFlag(String delFlag) {
        this.delFlag = delFlag;
    }

    public String getDelFlag() {
        return delFlag;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this, ToStringStyle.MULTI_LINE_STYLE)
                .append("fId", getfId())
                .append("fNo", getfNo())
                .append("fName", getfName())
                .append("fStatus", getfStatus())
                .append("delFlag", getDelFlag())
                .append("createBy", getCreateBy())
                .append("createTime", getCreateTime())
                .append("updateBy", getUpdateBy())
                .append("updateTime", getUpdateTime())
                .append("remark", getRemark())
                .toString();
    }
}
